#!/usr/bin/env bash
set -e -o pipefail

source hack/make/.integration-test-helpers

if [ ! -z "${TEST_SKIP_INTEGRATION}" ] && [ ! -z "${TEST_SKIP_INTEGRATION_CLI}" ]; then
	echo integration and integration-cli skipped according to env vars
	exit 0
fi

(
	env
	build_test_suite_binaries
	bundle .integration-daemon-start

	testexit=0
	(repeat run_test_integration) || testexit=$?

	# Always run cleanup, even if the subshell fails
	bundle .integration-daemon-stop
	cleanup_test_suite_binaries

	echo exiting test-integration
	set -x
	exit ${testexit}

) &> >(tee -a "$DEST/test.log")
